libmapnik2.2_2.2.0+ds1-7+b2_amd64.deb


Advertisement

Description

libmapnik2.2 - C++/Python toolkit for developing GIS applications (libraries)

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libmapnik2.2
Package version 2.2.0+ds1
Package release 7+b2
Package architecture amd64
Package type deb
Installed size 8.95 KB
Download size 1.78 MB
Official Mirror ftp.br.debian.org
Mapnik is an OpenSource C++/Python toolkit for developing GIS
(Geographic Information Systems) applications. At the core is a C++
shared library providing algorithms/patterns for spatial data access and
visualization.
Essentially a collection of geographic objects (map, layer, datasource,
feature, geometry), the library doesn't rely on "windowing systems" and
is intended to work in multi-threaded environments
High-level Python bindings (boost.python) facilitate rapid application
development, targeting zope3, django, etc.
This package contains the shared library and input plugins.

Alternatives

Package Version Architecture Repository
libmapnik2.2_2.2.0+ds1-7+b2_i386.deb 2.2.0+ds1 i386 Debian Main
libmapnik2.2 - - -

Requires

Name Value
libboost-filesystem1.55.0 -
libboost-python1.55.0 -
libboost-regex1.55.0 -
libboost-system1.55.0 -
libboost-thread1.55.0 -
libc6 >= 2.14
libcairo2 >= 1.6.0
libcurl3-gnutls >= 7.16.2
libfreetype6 >= 2.2.1
libgcc1 >= 1:4.1.1
libgdal1h >= 1.8.0
libicu52 >= 52~m1-1~
libjpeg62-turbo >= 1:1.3.1
libpng12-0 >= 1.2.13-4
libpq5 -
libproj0 >= 4.8.0
libpython2.7 >= 2.7
librasterlite2 >= 1.1~svn11
libsqlite3-0 >= 3.5.9
libstdc++6 >= 4.9
libtiff5 >= 4.0.3
libxml2 >= 2.7.4
ttf-dejavu -
zlib1g >= 1:1.1.4

Download

Type URL
Binary Package libmapnik2.2_2.2.0+ds1-7+b2_amd64.deb
Source Package mapnik

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmapnik2.2 deb package:
    # sudo apt-get install libmapnik2.2

Files

Path
/usr/lib/libmapnik.so.2.2
/usr/lib/libmapnik.so.2.2.0
/usr/lib/mapnik/2.2/input/csv.input
/usr/lib/mapnik/2.2/input/gdal.input
/usr/lib/mapnik/2.2/input/geojson.input
/usr/lib/mapnik/2.2/input/ogr.input
/usr/lib/mapnik/2.2/input/osm.input
/usr/lib/mapnik/2.2/input/postgis.input
/usr/lib/mapnik/2.2/input/python.input
/usr/lib/mapnik/2.2/input/raster.input
/usr/lib/mapnik/2.2/input/rasterlite.input
/usr/lib/mapnik/2.2/input/shape.input
/usr/lib/mapnik/2.2/input/sqlite.input
/usr/share/doc/libmapnik2.2/README.md
/usr/share/doc/libmapnik2.2/changelog.Debian.amd64.gz
/usr/share/doc/libmapnik2.2/changelog.Debian.gz
/usr/share/doc/libmapnik2.2/changelog.gz
/usr/share/doc/libmapnik2.2/copyright

Changelog

2014-04-06 - Jérémy Lal <kapouer@melix.org>
mapnik (2.2.0+ds1-7) unstable; urgency=medium
* Standards-Version 3.9.5
* Set priority of python-mapnik2, libmapnik2-dev to oldlibs/extra.
* Add 1002 upstream patch to reduce memory usage during compilation
using BOOST_SPIRIT_NO_PREDEFINED_TERMINALS (#742149).
* Disable debugging symbols to save memory during compilation.
This and the previous change should be enough to close: #742149.
* Build multiple python versions using scons properly, so that scons
doesn't build everything twice.
* Copyright:
+ use Files-Excluded, now repackaging is done by uscan
+ add section for debian/rules technique taken from fife package
* Watch github directly, no need for githubredir.
2013-12-11 - Francesco Paolo Lovergine <frankie@debian.org>
mapnik (2.2.0+ds1-6) unstable; urgency=medium
* Team upload.
* Changed libgdal1-dev in libgdal-dev.
* Priority set to optional for all packages.
2013-10-12 - Jérémy Lal <kapouer@melix.org>
mapnik (2.2.0+ds1-5) unstable; urgency=low
* Set gcc optimization flag to -O2 instead of -O3.
* Add 2001 patch to remove gcc -ftemplate-depth-300 flag.
2013-10-03 - Jérémy Lal <kapouer@melix.org>
mapnik (2.2.0+ds1-4) unstable; urgency=low
* Disable completely parallel builds. It might be responsible
for memory exhaustion on s390, mipsel, mips.
2013-10-02 - Jérémy Lal <kapouer@melix.org>
mapnik (2.2.0+ds1-3) unstable; urgency=low
* Honour DEB_BUILD_OPTIONS parallel, defaults to 1.
2013-09-08 - Jérémy Lal <kapouer@melix.org>
mapnik (2.2.0+ds1-2) unstable; urgency=low
* Build documentation in -indep target. (Closes: #721579)
2013-08-27 - Jérémy Lal <kapouer@melix.org>
mapnik (2.2.0+ds1-1) unstable; urgency=low
[ Andrew Harvey ]
* Change debian/rules to use top level font directory (Closes: #665798)
[ David Paleino ]
* New upstream version 2.1
- fixed compatibility with PostGIS 2.0 (AsBinary() → ST_AsBinary())
(Closes: #699079)
* Switch debian/watch to github tags
* debian/patches/:
- 02-fix_FTBFS_binutils-gold.patch refreshed
- 03-fix_ImportError_mips.patc, 03-fix_big-endian.patch and
04-port_to_new_boost.patch removed
* Python bindings testsuite temporarily disabled
* Adapt debian/rules get-orig-source target to new upstream layout
* Build-Depends on libpng-dev instead of libpng12-dev (Closes: #662425)
* Bump debhelper compatibility to 9
* Bump Standards-Version to 3.9.4, no changes needed
[ Jérémy Lal ]
* New upstream version 2.2
* control:
+ Transition libmapnik2 to libmapnik (#674587)
+ Transition python-mapnik2 to python-mapnik
+ Canonicalize Vcs fields
* copyright:
+ entire tarball review
+ switch to copyright 1.0 format
+ DFSG-exclude tests/data/fonts/XB\ Zar.ttf (missing license)
+ conveniently exclude scons, fonts, and some test files for the
sake of copyright simplification.
* rules:
+ update input plugins list, remove geos, kismet and add csv,
geojson, python.
+ disable building demo
+ remove unneeded workarounds in some targets
+ call epydoc directly instead of fiddling with build script
+ pass hardening build flags to mapnik SConstruct,
thanks to YunQiang Su.
* patch: 1001 patch to link mapnik lib to dl.
2011-10-25 - David Paleino <dapal@debian.org>
mapnik (2.0.0+ds1-3) unstable; urgency=low
* Fix wrong linkage against boost_python-py2*
2011-10-08 - David Paleino <dapal@debian.org>
mapnik (2.0.0+ds1-2) unstable; urgency=low
* 03-fix_big-endian.patch added: the variable for big-endian
architectures was wrongly named (Closes: #644704)
2011-10-05 - David Paleino <dapal@debian.org>
mapnik (2.0.0+ds1-1) unstable; urgency=low
* New upstream version
* Debhelper compatibility bumped to 8
* New input plugins compiled: geos, rasterlite
* Package switch from pysupport to dh_python2
* Package renamed from libmapnik0.7 to libmapnik2-2.0
* Purge debian/copyright from non-(anymore)-existing files

See Also

Package Description
libmapscript-java_6.4.1-5+deb8u3_amd64.deb Java library for MapServer
libmapscript-perl_6.4.1-5+deb8u3_amd64.deb Perl MapServer module
libmapscript-ruby1.8_6.4.1-5+deb8u3_amd64.deb Transitional package from libmapscript-ruby1.8 to ruby-mapscript
libmapscript-ruby1.9.1_6.4.1-5+deb8u3_amd64.deb Transitional package from libmapscript-ruby1.9.1 to ruby-mapscript
libmapscript-ruby_6.4.1-5+deb8u3_all.deb Transitional dummy package for ruby-mapscript
libmapserver1-dev_6.4.1-5+deb8u3_amd64.deb Shared library development files for MapServer
libmapserver1_6.4.1-5+deb8u3_amd64.deb Shared library for MapServer
libmarble-dev_4.14.2-1_amd64.deb development files for the Marble globe widget library
libmarblewidget19_4.14.2-1_amd64.deb Marble globe widget library
libmarc-charset-perl_1.35-1_amd64.deb Perl module for bidirectional MARC-8 <-> Unicode conversion
libmarc-crosswalk-dublincore-perl_0.02-2_all.deb Convert data between MARC and Dublin Core
libmarc-file-marcmaker-perl_0.05-1_all.deb work with MARCMaker/MARCBreaker records
libmarc-file-mij-perl_0.04-1_all.deb read newline-delimited marc-in-json files
libmarc-lint-perl_1.47-1_all.deb Perl extension for checking validity of MARC records
libmarc-parser-raw-perl_0.01-1_all.deb MARC RAW format parser
Advertisement
Advertisement